package com.ho.business.mapper;

import com.ho.business.entity.Topology;
import com.ho.business.entity.TopologyQuery;
import com.ho.business.vo.req.TopologyInReqVo;
import com.ho.business.vo.req.TopologyReqVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author yule
* @description 针对表【topology】的数据库操作Mapper
* @createDate 2022-09-03 15:10:34
* @Entity com.ho.business.entity.Topology
*/
@Mapper
public interface TopologyMapper {

    //根据id删除
    int deleteBytopologyId(Integer id);

    int insertSelective(Topology record);

    Topology selectByPrimaryKey(@Param("id") Integer id);

    Topology selectOne(TopologyQuery topologyQuery);

    List<Topology> selectList(TopologyQuery topologyQuery);

    List<Topology> selectListByPid(@Param("stationId") Integer stationId,@Param("list") List<Integer> list);


    int updateByPrimaryKeySelective(TopologyInReqVo vo);

    int updateByPrimaryKey(Topology record);

    List<Topology> selectByStationId(Integer id);

    Topology selectBysev(TopologyReqVo vo);

    List<Topology> selectByWarehouse(@Param("srcId") Integer srcId);

    List<Topology> selectByStack(@Param("srcId")Integer srcId);

    Topology selectByStation(@Param("stationId") Integer stationId, @Param("deptId") Integer deptId, @Param("groupId") Integer groupId);

    List<Topology> getAllTopology(@Param("stationId") Integer stationId);

    Topology getStationTopology(@Param("stationId") Integer stationId);

    List<Topology> getCategoryTopology(Topology topology);
}
